org.apache.ignite

## Annotation Type SystemProperty

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface SystemProperty

Ignite system property info.

### Required Element Summary

Required Elements
`String` `value`

### Optional Element Summary

Optional Elements
`String` `defaults`
`Class<?>` `type`

### Element Detail

#### value

    public abstract String value

Returns:
  Description.

#### type

    public abstract Class<?> type

Returns:
  Type.

Default:
  java.lang.Boolean.class

#### defaults

    public abstract String defaults

Returns:
  Default value.

Default:
  ""

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022